<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage TP Coast
* @since TP Coast 1.0.0
*/

// Hero Banner

if ( ! function_exists( 'tp_coast_hero_banner_sub_title_partial' ) ) :
    function tp_coast_hero_banner_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['hero_banner_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_hero_banner_title_partial' ) ) :
    function tp_coast_hero_banner_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['hero_banner_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_hero_banner_content_partial' ) ) :
    function tp_coast_hero_banner_content_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['hero_banner_content'] );
    }
endif;

if ( ! function_exists( 'tp_coast_hero_banner_btn_label_partial' ) ) :
    function tp_coast_hero_banner_btn_label_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['hero_banner_btn_label'] );
    }
endif;


// About Us

if ( ! function_exists( 'tp_coast_about_title_partial' ) ) :
    function tp_coast_about_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_about_sub_title_partial' ) ) :
    function tp_coast_about_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_about_description_partial' ) ) :
    function tp_coast_about_description_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_description'] );
    }
endif;

if ( ! function_exists( 'tp_coast_about_btn_title_partial' ) ) :
    function tp_coast_about_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_btn_title'] );
    }
endif;

/**********additional about us************ */

if ( ! function_exists( 'tp_coast_about_sub_title_partial_second' ) ) :
    function tp_coast_about_sub_title_partial_second() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_sub_title_second'] );
    }
endif;

if ( ! function_exists( 'tp_coast_about_title_second_partial' ) ) :
    function tp_coast_about_title_second_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_title_second'] );
    }
endif;

if ( ! function_exists( 'tp_coast_about_description_partial_second' ) ) :
    function tp_coast_about_description_partial_second() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_description_second'] );
    }
endif;

if ( ! function_exists( 'tp_coast_about_btn_title_partial_second' ) ) :
    function tp_coast_about_btn_title_partial_second() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['about_btn_title_second'] );
    }
endif;


// Featured

if ( ! function_exists( 'tp_coast_featured_sub_title_partial' ) ) :
    function tp_coast_featured_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['featured_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_featured_title_partial' ) ) :
    function tp_coast_featured_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['featured_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_featured_description_partial' ) ) :
    function tp_coast_featured_description_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['featured_description'] );
    }
endif;


// Blog

if ( ! function_exists( 'tp_coast_blog_sub_title_partial' ) ) :
    function tp_coast_blog_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_blog_title_partial' ) ) :
    function tp_coast_blog_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_blog_btn_title_partial' ) ) :
    function tp_coast_blog_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_btn_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_blog_alt_btn_title_partial' ) ) :
    function tp_coast_blog_alt_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_alt_btn_title'] );
    }
endif;


// destination

if ( ! function_exists( 'tp_coast_destination_sub_title_partial' ) ) :
    function tp_coast_destination_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['destination_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_destination_title_partial' ) ) :
    function tp_coast_destination_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['destination_title'] );
    }
endif;


// Gallery 

if ( ! function_exists( 'tp_coast_gallery_sub_title_partial' ) ) :
    function tp_coast_gallery_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['gallery_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_gallery_title_partial' ) ) :
    function tp_coast_gallery_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['gallery_title'] );
    }
endif;


if ( ! function_exists( 'tp_coast_gallery_btn_title_partial' ) ) :
    function tp_coast_gallery_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['gallery_btn_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_gallery_short_description_partial' ) ) :
    function tp_coast_gallery_short_description_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['gallery_short_description'] );
    }
endif;




//subscribe 

if ( ! function_exists( 'tp_coast_subscribe_title_partial' ) ) :
    // subscribe title
    function tp_coast_subscribe_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['subscribe_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_subscribe_description_partial' ) ) :
    // subscribe sub title
    function tp_coast_subscribe_description_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['subscribe_description'] );
    }
endif;


if ( ! function_exists( 'tp_coast_subscribe_btn_title_partial' ) ) :
    // subscribe sub title
    function tp_coast_subscribe_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['subscribe_btn_title'] );
    }
endif;

//blog 


if ( ! function_exists( 'tp_coast_blog_title_partial' ) ) :
    // blog title
    function tp_coast_blog_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_blog_sub_title_partial' ) ) :
    // blog title
    function tp_coast_blog_sub_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_sub_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_blog_btn_title_partial' ) ) :
    // blog btn title
    function tp_coast_blog_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_btn_title'] );
    }
endif;

if ( ! function_exists( 'tp_coast_blog_alt_btn_title_partial' ) ) :
    // blog btn title
    function tp_coast_blog_alt_btn_title_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['blog_alt_btn_title'] );
    }
endif;



if ( ! function_exists( 'tp_coast_copyright_text_partial' ) ) :
    // copyright text
    function tp_coast_copyright_text_partial() {
        $options = tp_coast_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

if ( ! function_exists( 'tp_coast_powered_by_text_partial' ) ) :
    // powered by text
    function tp_coast_powered_by_text_partial() {
        $options = tp_coast_get_theme_options();
        return tp_coast_santize_allow_tag( $options['powered_by_text'] );
    }
endif;
